#ifndef _BRIDGE_ATTR_H
#define _BRIDGE_ATTR_H

#include <tango.h>
#include <stdio.h>
#include <stdlib.h>
#include <RPC2TangoBridge.h>

using namespace Tango;

class BridgeAttr : public Tango::Attr
{
	public:
		BridgeAttr(const char *name,long data_type,Tango::AttrWriteType w_type) :
			Attr(name, data_type, w_type) {};
		BridgeAttr(const char *name,long data_type,Tango::AttrWriteType w_type, string host, 
				unsigned short port) :
			Attr(name, data_type, w_type), rpchost(host), rpcport(port), rpcname(string(name)) {};

		~BridgeAttr() {};
		virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
			{(static_cast<RPC2TangoBridge *>(dev))->read_AlarmAttribute(att);}
		virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
			{return (static_cast<RPC2TangoBridge *>(dev))->is_AlarmAttribute_allowed(ty);}

		string rpcHost() {return rpchost; }
		unsigned short rpcPort() { return rpcport; }
		string rpcName() { return rpcname; }
		bool rpcConnected() { return connected; }

	private:
		string rpchost;
		string rpcname;
		unsigned short rpcport;
		bool connected;
};




#endif

