//+=============================================================================
//
// file :         RPC2TangoBridgeStateMachine.cpp
//
// description :  C++ source for the RPC2TangoBridge and its alowed. 
//                method for commands and attributes
//
// project :      TANGO Device Server
//
// $Author: giacomo $
//
// $Revision: 1.1.1.1 $
//
// $Log: RPC2TangoBridgeStateMachine.cpp,v $
// Revision 1.1.1.1  2008-04-28 09:13:16  giacomo
// Prima versione di RPC2TangoBridge
//
//
// copyleft :     European Synchrotron Radiation Facility
//                BP 220, Grenoble 38043
//                FRANCE
//
//-=============================================================================
//
//  		This file is generated by POGO
//	(Program Obviously used to Generate tango Object)
//
//         (c) - Software Engineering Group - ESRF
//=============================================================================

#include <tango.h>
#include <RPC2TangoBridge.h>
#include <RPC2TangoBridgeClass.h>

/*====================================================================
 *	This file contains the methods to allow commands and attributes
 * read or write execution.
 *
 * If you wand to add your own code, add it between 
 * the "End/Re-Start of Generated Code" comments.
 *
 * If you want, you can also add your own methods.
 *====================================================================
 */

namespace RPC2TangoBridge_ns
{

//=================================================
//		Attributes Allowed Methods
//=================================================


//=================================================
//		Commands Allowed Methods
//=================================================

//+----------------------------------------------------------------------------
//
// method : 		RPC2TangoBridge::is_RPCDataForAttribute_allowed
// 
// description : 	Execution allowed for RPCDataForAttribute command.
//
//-----------------------------------------------------------------------------
bool RPC2TangoBridge::is_RPCDataForAttribute_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		RPC2TangoBridge::is_Standby_allowed
// 
// description : 	Execution allowed for Standby command.
//
//-----------------------------------------------------------------------------
bool RPC2TangoBridge::is_Standby_allowed(const CORBA::Any &any)
{
	if (get_state() == Tango::INIT	||
		get_state() == Tango::FAULT	||
		get_state() == Tango::CLOSE	||
		get_state() == Tango::STANDBY)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		RPC2TangoBridge::is_On_allowed
// 
// description : 	Execution allowed for On command.
//
//-----------------------------------------------------------------------------
bool RPC2TangoBridge::is_On_allowed(const CORBA::Any &any)
{
	if (get_state() == Tango::ON	||
		get_state() == Tango::INIT	||
		get_state() == Tango::FAULT	||
		get_state() == Tango::CLOSE)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}

}	// namespace RPC2TangoBridge_ns
