#ifndef RPC_HANDLE_SET_H
#define RPC_HANDLE_SET_H

#include <vector>
#include "RpcReadHandle.h"
#include "RpcWriteHandle.h"
namespace RPC2TangoBridge_ns
{

class RPCHandleSet
{
	public:
		static RPCHandleSet *instance();
		RPCReadHandle *readHandleFromList(const char *rpcname);
		RPCWriteHandle *writeHandleFromList(const char *rpcname);
		
		RPCHandle *handleFromList(const char* rpcname);
		
		void addReadHandle(RPCReadHandle* h);
		void addWriteHandle(RPCWriteHandle *h);
		
		void addHandle(RPCHandle* h) { rpcHandles.push_back(h); }
		void removeHandle(RPCHandle *h);
		
		unsigned handleCount() { return rpcHandles.size(); }
		
		void clear() { rpcRHandles.clear(); rpcWHandles.clear();  rpcHandles.clear();  }
		
	private:
		
		RPCHandleSet();
		static RPCHandleSet *_instance;
		
		vector<RPCReadHandle* > rpcRHandles;
		vector<RPCWriteHandle* > rpcWHandles;

		vector<RPCHandle* > rpcHandles;
};

}

#endif

